stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Friends | List of all members
stdex::sha256_t Union Reference

SHA256 hash value. More...

`#include <stdex/hash.hpp>`

## Public Member Functions
bool | operator!= (const stdex::sha256_t &other) const
bool | operator== (const stdex::sha256_t &other) const

## Public Attributes
uint8_t | data8 [32]
uint32_t | data32 [8]

## Friends
stdex::stream::basic & | operator>> (stdex::stream::basic &stream, stdex::sha256_t &data)
stdex::stream::basic & | operator<< (stdex::stream::basic &stream, const stdex::sha256_t &data)

## Detailed Description

SHA256 hash value.

The documentation for this union was generated from the following file:

- include/stdex/hash.hpp